#
# A Tkinter.Frame derived class that holds
# the RobotCanvas
#

from Tkinter import *
import RobotCanvas
        
class RobotFrame(Frame):
    """ If there were going to be window decorations (like
        scroll bars or other things), this is where they
        would be...
    """
		
    def __init__(self,root):
        """ RobotFrame constructor """
        self.tkroot = root
        Frame.__init__(self,self.tkroot)
        top=self.winfo_toplevel()
        top.rowconfigure(0, weight=1)
        top.columnconfigure(0, weight=1)
        self.rowconfigure(0, weight=1)
        self.columnconfigure(0, weight=1)
        self.grid(sticky=N+S+E+W)
        self.canv = RobotCanvas.RobotCanvas( self )
        self.canv.grid( row=0, column=0, sticky=N+S+E+W )
        self.canv.tfm.setScales(1,-1)
        self.canv.tfm.setWorldRotationCenter(0,0)

    def _destroy(self):
        """ shuts down the graphics system
            automatically called by the base class
            when quit is called on a RobotFrame object
        """
        self.tkroot.destroy()
		


